# Get Activity

> Retrieve activity logs for a specific identity

## Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the identity
</ParamField>

## Query Parameters

<ParamField query="limit" type="integer" default="50">
  Maximum number of results to return (max: 100)
</ParamField>

<ParamField query="offset" type="integer" default="0">
  Number of results to skip for pagination
</ParamField>

## Response

<ResponseField name="data" type="array">
  Array of activity objects
  
  <Expandable title="Activity Object">
    <ResponseField name="id" type="string">
      Unique identifier for the activity
    </ResponseField>
    
    <ResponseField name="type" type="string">
      Type of activity (e.g., 'page_view', 'click')
    </ResponseField>
    
    <ResponseField name="who" type="string">
      Who performed the activity
    </ResponseField>
    
    <ResponseField name="what" type="string">
      Description of what happened
    </ResponseField>
    
    <ResponseField name="source" type="string">
      Source of the activity
    </ResponseField>
    
    <ResponseField name="created_at" type="string">
      ISO 8601 timestamp of creation
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="pagination" type="object">
  Pagination information
</ResponseField>

<RequestExample>

```bash cURL
curl -X GET "https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009/activity" \
  -H "Authorization: Bearer orwel_sk_YOUR_KEY"
```

</RequestExample>

<ResponseExample>

```json Response
{
  "data": [
    {
      "id": "activity-uuid",
      "type": "page_view",
      "who": "John Visitor",
      "what": "Viewed Pricing Page",
      "source": "web",
      "created_at": "2025-01-10T08:05:00Z"
    }
  ],
  "pagination": {
    "limit": 50,
    "offset": 0,
    "total": 1
  }
}
```

</ResponseExample>
